﻿using System;
using System.Collections.Generic;

namespace SilverlightFuncionarios.Web
{
    public class FuncionarioRepositorio
    {
        private static List<Funcionario> todosFuncionarios;

        public FuncionarioRepositorio()
        {
            carregaFuncionarios();
        }

        private void carregaFuncionarios()
        {
            if (todosFuncionarios == null)
            {
                todosFuncionarios = new List<Funcionario>() 
			{
				new Gerente()
		    {
				funcionarioid=1, 
				nome="Macoratti", 
				email="macoratti@yahoo.com",
				carro=CarroTipo.Esportivo, 
				gratificacao=10000.00, 
				nascimento=new DateTime(1980, 1, 1)
			},
				new Consultor()
				{
					funcionarioid=2, 
					nome="Mario", 
					email="mario@bol.com.br", 
					carro=CarroTipo.Passeio, 
					nascimento=new DateTime(1976, 11, 9)
				},
				new Consultor()
				{
					funcionarioid=3, 
					nome="Janice", 
					email="janice@uol.com.br", 
					carro=CarroTipo.Utilitario, 
					nascimento=new DateTime(1983, 3, 12)
				},
				new Consultor()
				{
					funcionarioid=4, 
					nome="Jefferson", 
					email="jeff@net.com", 
					carro=CarroTipo.Passeio, 
					nascimento=new DateTime(1984, 6, 7)
				},
				new Administrativo()
				{
					funcionarioid=5, 
					nome="Miriam", 
					email="miriam@uol.com.br", 
					nascimento=new DateTime(1960, 9, 22)
				},

				new Administrativo()
				{
					funcionarioid=6, 
					nome="Jose", 
					email="jose@bol.com.br", 
					nascimento=new DateTime(1963, 2, 19)
				},
			  };
            }
        }

        public List<Funcionario> TodosFuncionarios
        {
            get
            {
                return todosFuncionarios;
            }
        }
    }
}